# $Revision: 1.10 $, $Date: 2010/08/19 19:20:57 $
%include	/usr/lib/rpm/macros.php
%define		_class		Gtk
%define		_subclass	Styled
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - PHP-GTK pseudo-widgets that mimic GtkData based objects
Summary(pl.UTF-8):	%{_pearname} - pseudo widgety naśladujące oparte na GtkData obiekty
Name:		php-pear-%{_pearname}
Version:	1.0.0
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	6c81b1629a767fe0f9d11af403b38699
URL:		http://pear.php.net/package/Gtk_Styled/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# included in data/
%define		_noautoreq 'pear(data/Gtk_Styled/Buttons.php)'

%description
While it is possible to control some style elements of a GtkScrollBar,
other elements cannot be controlled so easily. Items such as the
images at the begining and end (usually arrows) and the scroll bar
that is dragged to scroll the element cannot be changed. This leads to
applications that either must conform to the windowing systems look
and feel or appear incomplete. The goal of this family of PHP-GTK
classes is to provide all the same functionality as a normal scroll
bar but allow the user to have better control over the look and feel.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
O ile można kontrolować niektóre elementy styli GtkScrollBara, innych
elementów nie da się kontrolować tak łatwo. Rzeczy takie jak obrazki
na początku i końcu (zwykle strzałki) i pasek przesuwania przeciągany
w celu przewinięcia elementów nie mogą być zmienione. Prowadzi to do
aplikacji, które muszą być zgodne z wyglądem systemów okienkowych albo
wyglądają niekompletnie. Celem tej rodziny klas PHP-GTK jest
dostarczenie takiej samej funkcjonalności jak normalny pasek
przesuwania, ale dającej lepszą kontrolę nad wyglądem i zachowaniem.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/%{_subclass}
%{php_pear_dir}/data/Gtk_Styled

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Gtk_Styled.spec,v $
Revision 1.10  2010/08/19 19:20:57  glen
- up to 1.0.0-stable

Revision 1.9  2008/01/31 12:16:06  glen
- rel 2

Revision 1.8  2008-01-31 10:48:11  glen
- integer release

Revision 1.7  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.5  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.4  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.3  2005/10/03 13:46:19  glen
- new pear packaging

Revision 1.2  2005/01/13 23:25:23  qboosh
- pl desc

Revision 1.1  2005/01/12 14:16:57  adamg
- new
